commit ad10a45a7aae69d9482eb747740c470e9c83ab68
parent 210a9e4a694033baad46af469f883a88d4754fa1
Author: root <root@dorje.v103.te2000>
Date: Wed, 10 Nov 2021 23:58:18 +0000
Add build script.
Diffstat:
A | install | | | 25 | +++++++++++++++++++++++++ |
1 file changed, 25 insertions(+), 0 deletions(-)
diff --git a/install b/install
@@ -0,0 +1,25 @@
+#!/bin/sh
+set -x
+
+: ${destination_dir:=${HOME}/local}
+#: ${CFLAGS:=-Werror -Wno-attributes -no-pie -static}
+: ${CFLAGS:=-g -O2 -std=c99 -pedantic -W -funit-at-a-time -Werror=implicit-function-declaration -Wno-attributes --static}
+
+cd "$(dirname "$0")" || exit $?
+git checkout util-vserver || exit $?
+git clean -xf util-vserver || exit $?
+cd util-vserver || exit $?
+
+export CFLAGS
+./configure \
+ --enable-static \
+ --disable-shared \
+ --enable-apis=compat,v13,net,v21,v22,v23,netv2 \
+ --prefix="$destination_dir" \
+ --with-vrootdir=/vservers \
+ --localstatedir=/var \
+ --with-crypto-api=none \
+ || exit $?
+#make src/chbind.o || exit $? # TODO
+make CFLAGS="$CFLAGS" || exit $?
+make CFLAGS="$CFLAGS" check || exit $?